Summary:	Graphical network viewer modeled after etherman
Name:		etherape
Version:	0.9.15
Release:	%mkrel 1
License:	GPLv2+
Group:		Monitoring
URL:		http://etherape.sourceforge.net
Source:		http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
Requires:	usermode-consoleonly

BuildRequires:	gnome-doc-utils
BuildRequires:	pcap-devel
BuildRequires:	pkgconfig(libglade-2.0)
BuildRequires:	pkgconfig(libgnomeui-2.0)
BuildRequires:	scrollkeeper

%description
Etherape is a graphical network monitor for Unix modeled after
etherman. Featuring ether, ip and tcp modes, it displays network
activity graphically. Hosts and links change in size with traffic.
Color coded protocols display. It supports ethernet, ppp and slip
devices. It can filter traffic to be shown, and can read traffic
from a file as well as live from the network.

%prep
%autosetup -p1

%build
%configure2_5x
%make_build

%install
%make_install bindir=%{_sbindir}

mkdir -p %{buildroot}%{_bindir}
mv %{buildroot}/%{_sbindir}/%{name} %{buildroot}/%{_sbindir}/%{name}.real
ln -sf %{_bindir}/consolehelper %{buildroot}/%{_bindir}/%{name}

# pam.d
install -m 755 -d %{buildroot}%{_sysconfdir}/pam.d
cat > %{buildroot}%{_sysconfdir}/pam.d/%{name} << _EOF_
#%PAM-1.0
auth       sufficient	pam_rootok.so
auth       required     pam_console.so
auth       sufficient	pam_timestamp.so
auth       include	system-auth
account    required	pam_permit.so
session    optional	pam_xauth.so
session    optional	pam_timestamp.so
_EOF_

# console.apps
install -m 755 -d %{buildroot}%{_sysconfdir}/security/console.apps
cat > %{buildroot}%{_sysconfdir}/security/console.apps/%{name} << _EOF_
USER=root
PROGRAM=%{_sbindir}/%{name}.real
SESSION=true
FALLBACK=false
_EOF_

%find_lang %{name} --with-gnome

%files -f %{name}.lang
%doc AUTHORS ChangeLog COPYING NEWS README* FAQ
%config(noreplace) %{_sysconfdir}/pam.d/%{name}
%config(noreplace) %{_sysconfdir}/security/console.apps/%{name}
%{_bindir}/%{name}
%{_sbindir}/%{name}.real
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_datadir}/omf/%{name}/
%{_datadir}/pixmaps/%{name}.png
%{_mandir}/man1/%{name}.1*


%changelog
* Tue Mar 21 2017 akien <akien> 0.9.15-1.mga6
+ Revision: 1093887
- Version 0.9.15 (mga#20548)
- Drop old fixes that were upstreamed
- Do not convert icons for hicolor, 48x48 pixmaps is enough

* Tue Feb 09 2016 umeabot <umeabot> 0.9.13-6.mga6
+ Revision: 951670
- Mageia 6 Mass Rebuild

* Tue Jan 06 2015 alexl <alexl> 0.9.13-5.mga5
+ Revision: 808779
- new GenericName for desktop file

* Wed Oct 15 2014 umeabot <umeabot> 0.9.13-4.mga5
+ Revision: 745454
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.9.13-3.mga5
+ Revision: 679036
- Mageia 5 Mass Rebuild

* Sat Sep 06 2014 alexl <alexl> 0.9.13-2.mga5
+ Revision: 672986
- translated desktop file
- fixed "file-not-utf8"
- cleanup spec, used pkgconfig

* Sat Jun 28 2014 pterjan <pterjan> 0.9.13-1.mga5
+ Revision: 640927
- 0.9.13

* Fri Oct 18 2013 umeabot <umeabot> 0.9.12-4.mga4
+ Revision: 504104
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 0.9.12-3.mga3
+ Revision: 349748
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Feb 25 2012 guillomovitch <guillomovitch> 0.9.12-2.mga2
+ Revision: 214964
- don't strip documentation files (#1596)

* Thu Jun 30 2011 ahmad <ahmad> 0.9.12-1.mga2
+ Revision: 116345
- Update to 0.9.12
- Use %%configure2_5x

* Fri Mar 25 2011 ennael <ennael> 0.9.10-1.mga1
+ Revision: 77446
- clean spec file
- imported package etherape

